
// this file is generated — do not edit it


/// <reference types="@sveltejs/kit" />

/**
 * Environment variables [loaded by Vite](https://vitejs.dev/guide/env-and-mode.html#env-files) from `.env` files and `process.env`. Like [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), this module cannot be imported into client-side code. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env).
 * 
 * _Unlike_ [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), the values exported from this module are statically injected into your bundle at build time, enabling optimisations like dead code elimination.
 * 
 * ```ts
 * import { API_KEY } from '$env/static/private';
 * ```
 * 
 * Note that all environment variables referenced in your code should be declared (for example in an `.env` file), even if they don't have a value until the app is deployed:
 * 
 * ```
 * MY_FEATURE_FLAG=""
 * ```
 * 
 * You can override `.env` values from the command line like so:
 * 
 * ```bash
 * MY_FEATURE_FLAG="enabled" npm run dev
 * ```
 */
declare module '$env/static/private' {
	export const NVM_INC: string;
	export const LDFLAGS: string;
	export const npm_package_devDependencies_prettier: string;
	export const npm_config_include_workspace_root: string;
	export const TERM_PROGRAM: string;
	export const NODE: string;
	export const COMPOSE_COMPATIBILITY: string;
	export const NVM_CD_FLAGS: string;
	export const INIT_CWD: string;
	export const npm_package_devDependencies_prettier_plugin_svelte: string;
	export const npm_package_devDependencies_typescript: string;
	export const DOX_CLOUD_REGION: string;
	export const TERM: string;
	export const SHELL: string;
	export const npm_package_devDependencies_vite: string;
	export const CPPFLAGS: string;
	export const TMPDIR: string;
	export const DOCKER_HOST: string;
	export const npm_package_scripts_lint: string;
	export const TERM_PROGRAM_VERSION: string;
	export const npm_package_devDependencies_eslint_plugin_svelte3: string;
	export const npm_package_dependencies_ink_mde: string;
	export const SEGMENT_KEY: string;
	export const NEXUS_PULL_PASS: string;
	export const npm_package_scripts_dev: string;
	export const npm_package_scripts_prepublishOnly: string;
	export const TERM_SESSION_ID: string;
	export const npm_package_devDependencies__sveltejs_kit: string;
	export const npm_config_registry: string;
	export const WORKSPACE: string;
	export const NVM_DIR: string;
	export const USER: string;
	export const npm_config_recursive: string;
	export const npm_package_scripts_check_watch: string;
	export const COMMAND_MODE: string;
	export const PNPM_SCRIPT_SRC_DIR: string;
	export const BUNDLE_ARTIFACTS__DOX__SUPPORT: string;
	export const SSH_AUTH_SOCK: string;
	export const __CF_USER_TEXT_ENCODING: string;
	export const npm_package_devDependencies_eslint: string;
	export const npm_package_devDependencies__typescript_eslint_eslint_plugin: string;
	export const npm_package_devDependencies_tslib: string;
	export const npm_execpath: string;
	export const NEXUS_PULL_USER: string;
	export const npm_package_devDependencies_svelte: string;
	export const npm_package_devDependencies__typescript_eslint_parser: string;
	export const PATH: string;
	export const npm_package_scripts_lint_fix: string;
	export const LaunchInstanceID: string;
	export const __CFBundleIdentifier: string;
	export const ADS_APPS: string;
	export const PWD: string;
	export const npm_command: string;
	export const npm_package_devDependencies__sveltejs_package: string;
	export const EDITOR: string;
	export const npm_lifecycle_event: string;
	export const ADS_WORKSPACE: string;
	export const LANG: string;
	export const npm_package_name: string;
	export const PGHOST: string;
	export const ITERM_PROFILE: string;
	export const NODE_PATH: string;
	export const npm_package_scripts_build: string;
	export const XPC_FLAGS: string;
	export const RBENV_SHELL: string;
	export const npm_package_devDependencies_eslint_config_prettier: string;
	export const npm_package_main: string;
	export const npm_config_node_gyp: string;
	export const XPC_SERVICE_NAME: string;
	export const npm_package_version: string;
	export const npm_package_devDependencies__sveltejs_adapter_auto: string;
	export const npm_package_devDependencies_svelte_check: string;
	export const PYENV_SHELL: string;
	export const SHLVL: string;
	export const HOME: string;
	export const COLORFGBG: string;
	export const npm_package_type: string;
	export const LC_TERMINAL_VERSION: string;
	export const ITERM_SESSION_ID: string;
	export const LOGNAME: string;
	export const npm_lifecycle_script: string;
	export const YARN_NPM_AUTH_IDENT: string;
	export const PG_VERSION: string;
	export const BUN_INSTALL: string;
	export const GITHUB_TOKEN: string;
	export const PKG_CONFIG_PATH: string;
	export const NVM_BIN: string;
	export const DOX_CLOUD_PERSONAL_INSTANCE: string;
	export const npm_config_user_agent: string;
	export const LC_TERMINAL: string;
	export const MUTAGEN_SSH_CONNECT_TIMEOUT: string;
	export const HOMEBREW_BUNDLE_FILE: string;
	export const SECURITYSESSIONID: string;
	export const npm_package_scripts_check: string;
	export const COLORTERM: string;
	export const npm_node_execpath: string;
}

/**
 * Similar to [`$env/static/private`](https://kit.svelte.dev/docs/modules#$env-static-private), except that it only includes environment variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Values are replaced statically at build time.
 * 
 * ```ts
 * import { PUBLIC_BASE_URL } from '$env/static/public';
 * ```
 */
declare module '$env/static/public' {

}

/**
 * This module provides access to runtime environment variables, as defined by the platform you're running on. For example if you're using [`adapter-node`](https://github.com/sveltejs/kit/tree/master/packages/adapter-node) (or running [`vite preview`](https://kit.svelte.dev/docs/cli)), this is equivalent to `process.env`. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env).
 * 
 * This module cannot be imported into client-side code.
 * 
 * ```ts
 * import { env } from '$env/dynamic/private';
 * console.log(env.DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 * 
 * > In `dev`, `$env/dynamic` always includes environment variables from `.env`. In `prod`, this behavior will depend on your adapter.
 */
declare module '$env/dynamic/private' {
	export const env: {
		NVM_INC: string;
		LDFLAGS: string;
		npm_package_devDependencies_prettier: string;
		npm_config_include_workspace_root: string;
		TERM_PROGRAM: string;
		NODE: string;
		COMPOSE_COMPATIBILITY: string;
		NVM_CD_FLAGS: string;
		INIT_CWD: string;
		npm_package_devDependencies_prettier_plugin_svelte: string;
		npm_package_devDependencies_typescript: string;
		DOX_CLOUD_REGION: string;
		TERM: string;
		SHELL: string;
		npm_package_devDependencies_vite: string;
		CPPFLAGS: string;
		TMPDIR: string;
		DOCKER_HOST: string;
		npm_package_scripts_lint: string;
		TERM_PROGRAM_VERSION: string;
		npm_package_devDependencies_eslint_plugin_svelte3: string;
		npm_package_dependencies_ink_mde: string;
		SEGMENT_KEY: string;
		NEXUS_PULL_PASS: string;
		npm_package_scripts_dev: string;
		npm_package_scripts_prepublishOnly: string;
		TERM_SESSION_ID: string;
		npm_package_devDependencies__sveltejs_kit: string;
		npm_config_registry: string;
		WORKSPACE: string;
		NVM_DIR: string;
		USER: string;
		npm_config_recursive: string;
		npm_package_scripts_check_watch: string;
		COMMAND_MODE: string;
		PNPM_SCRIPT_SRC_DIR: string;
		BUNDLE_ARTIFACTS__DOX__SUPPORT: string;
		SSH_AUTH_SOCK: string;
		__CF_USER_TEXT_ENCODING: string;
		npm_package_devDependencies_eslint: string;
		npm_package_devDependencies__typescript_eslint_eslint_plugin: string;
		npm_package_devDependencies_tslib: string;
		npm_execpath: string;
		NEXUS_PULL_USER: string;
		npm_package_devDependencies_svelte: string;
		npm_package_devDependencies__typescript_eslint_parser: string;
		PATH: string;
		npm_package_scripts_lint_fix: string;
		LaunchInstanceID: string;
		__CFBundleIdentifier: string;
		ADS_APPS: string;
		PWD: string;
		npm_command: string;
		npm_package_devDependencies__sveltejs_package: string;
		EDITOR: string;
		npm_lifecycle_event: string;
		ADS_WORKSPACE: string;
		LANG: string;
		npm_package_name: string;
		PGHOST: string;
		ITERM_PROFILE: string;
		NODE_PATH: string;
		npm_package_scripts_build: string;
		XPC_FLAGS: string;
		RBENV_SHELL: string;
		npm_package_devDependencies_eslint_config_prettier: string;
		npm_package_main: string;
		npm_config_node_gyp: string;
		XPC_SERVICE_NAME: string;
		npm_package_version: string;
		npm_package_devDependencies__sveltejs_adapter_auto: string;
		npm_package_devDependencies_svelte_check: string;
		PYENV_SHELL: string;
		SHLVL: string;
		HOME: string;
		COLORFGBG: string;
		npm_package_type: string;
		LC_TERMINAL_VERSION: string;
		ITERM_SESSION_ID: string;
		LOGNAME: string;
		npm_lifecycle_script: string;
		YARN_NPM_AUTH_IDENT: string;
		PG_VERSION: string;
		BUN_INSTALL: string;
		GITHUB_TOKEN: string;
		PKG_CONFIG_PATH: string;
		NVM_BIN: string;
		DOX_CLOUD_PERSONAL_INSTANCE: string;
		npm_config_user_agent: string;
		LC_TERMINAL: string;
		MUTAGEN_SSH_CONNECT_TIMEOUT: string;
		HOMEBREW_BUNDLE_FILE: string;
		SECURITYSESSIONID: string;
		npm_package_scripts_check: string;
		COLORTERM: string;
		npm_node_execpath: string;
		[key: `PUBLIC_${string}`]: undefined;
		[key: string]: string | undefined;
	}
}

/**
 * Similar to [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), but only includes variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Note that public dynamic environment variables must all be sent from the server to the client, causing larger network requests — when possible, use `$env/static/public` instead.
 * 
 * ```ts
 * import { env } from '$env/dynamic/public';
 * console.log(env.PUBLIC_DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 */
declare module '$env/dynamic/public' {
	export const env: {
		[key: `PUBLIC_${string}`]: string | undefined;
	}
}
